luanti(6)

NAME
luanti, luantiserver - voxel game engine

SYNOPSIS
luanti [--server SERVER OPTIONS | CLIENT OPTIONS] [COMMON OPTIONS] [WORLD PATH] luantiserver [SERVER OPTIONS] [COMMON OPTIONS] [WORLD PATH]

DESCRIPTION
Luanti (formerly Minetest) is a voxel game engine with easy modding and game creation.

COMMON OPTIONS

--help
    Print allowed options and exit

--version
    Print version information and exit

--config <value>
    Load configuration from specified file

--logfile <value>
    Set logfile path ('' for no logging)

--info
    Print more information to console

--verbose
    Print even more information to console

--trace
    Print enormous amounts of information to console

--quiet
    Print only errors to console

--color <value>
    Colorize the logs ('always', 'never' or 'auto'), defaults to 'auto'

--gameid <value> | list
    Set gameid or list available ones

--worldname <value>
    Set world path by name

--world <value>
    Set world path

--worldlist path | name | both
    Get list of worlds ('path' lists paths, 'name' lists names, 'both' lists both)

--map-dir <value>
    Same as --world (deprecated)

--port <value>
    Set network port (UDP) to use

--run-unittests
    Run unit tests and exit

CLIENT OPTIONS

--address <value>
    Address to connect to

--go
    Disable main menu

--name <value>
    Set player name

--password <value>
    Set password

--password-file <value>
    Set password from contents of file

--random-input
    Enable random user input, for testing (client only)

--speedtests
    Run speed tests

SERVER OPTIONS

--migrate <value>
    Migrate from current map backend to another. Possible values are sqlite3, leveldb, redis, postgresql, and dummy.

--migrate-auth <value>
    Migrate from current auth backend to another. Possible values are sqlite3, leveldb, and files.

--migrate-players <value>
    Migrate from current players backend to another. Possible values are sqlite3, leveldb, postgresql, dummy, and files.

--migrate-mod-storage <value>
    Migrate from current mod storage backend to another. Possible values are sqlite3, dummy, and files.

--terminal
    Display an interactive terminal over ncurses during execution.

ENVIRONMENT

MINETEST_GAME_PATH
    Colon delimited list of directories to search for games.

MINETEST_MOD_PATH
    Colon delimited list of directories to search for mods.

MINETEST_USER_PATH
    Path to Luanti user data directory.

BUGS
Please report all bugs at https://github.com/luanti-org/luanti/issues.

AUTHOR

Perttu Ahola <celeron55@gmail.com> and contributors.

This man page was originally written by Juhani Numminen <juhaninumminen0@gmail.com>.

WWW
http://www.luanti.org/